<template>
	<div>
		<input type="email" v-model="form.email" placeholder="Email">
		<input type="password" v-model="form.password" placeholder="Пароль">
		<button @click="login">Войти</button>
	</div>
</template>

<script>
export default {
	auth: 'guest',

	data(){
		return {
			form: {
				email: null,
				password: null
			}
		}
	},

	head() {
		return {
			title: "Войти на сайт"
		}
	},

	methods: {
		login() {
			this.$auth.loginWith('laravelSanctum', {
				data: this.form,
				headers: {
                    'X-Requested-With': 'XMLHttpRequest'
                },
                withCredentials: true,
			}).then(() => {
				this.$toast.success('Logged In!');

				this.$axios.get('http://localhost:3000/api/user').then();

				// this.$router.push({
				// 	path: '/dashboard'
				// });
			}).catch((e) => {
				this.$toast.error('Not Logged In!');
				console.log(e);
			});
		}
	}
}
</script>
